SQRT(3)

NAME
cbrt, cbrtf, cbrtl, sqrt, sqrtf, sqrtl - cube root and square root functions

LIBRARY
libm

SYNOPSIS
#include <math.h>
double
cbrt(double x);
float
cbrtf(float x);
long double
cbrtl(long double x);
double
sqrt(double x);
float
sqrtf(float x);
long double
sqrtl(long double x);

DESCRIPTION
The cbrt(), cbrtf(), and cbrtl() functions compute the cube root of x.

The sqrt(), sqrtf(), and sqrtl() functions compute the non-negative square root of x.

RETURN VALUES
The cbrt(), cbrtf(), and cbrtl() functions return the requested cube root. The sqrt(), sqrtf(), and sqrtl() functions return the requested square root unless an error occurs. An attempt to take the sqrt() of negative x raises an invalid exception and causes an to be returned (except that the square root of -0 is valid and equal to -0.)

SEE ALSO
fenv(3), math(3)

STANDARDS
The cbrt(), cbrtf(), cbrtl(), sqrt(), sqrtf(), and sqrtl() functions conform to isoC-99.

HISTORY
The cbrt() function appeared in 4.3BSD. The sqrtl() function appeared in FreeBSD 8.0. The cbrtl() function appeared in FreeBSD 9.0.